grk::HWY_NAMESPACE::DecompressDcShiftRev Class Reference

Apply dc shift for reversible decompressed image (assumes mono with no MCT) input and output buffers are both 32 bit integer. More...

## Public Member Functions

void | transform (ScheduleInfo info)

## Detailed Description

Apply dc shift for reversible decompressed image (assumes mono with no MCT) input and output buffers are both 32 bit integer.

## Member Function Documentation

## transform()

void grk::HWY_NAMESPACE::DecompressDcShiftRev::transform | ( | ScheduleInfo | info | ) |

inline

References hwy::HWY_NAMESPACE::Clamp(), grk::grk_read(), HWY_FULL, hwy::HWY_NAMESPACE::Lanes(), hwy::HWY_NAMESPACE::Load(), hwy::HWY_NAMESPACE::Set(), hwy::HWY_NAMESPACE::Store(), and ExecSingleton::threadId().

The documentation for this class was generated from the following file:

- mct.cpp